import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class CodeView extends StatefulWidget {
  final String code;
  final Color backgroundColor;
  final Color textColor;

  const CodeView({
    Key? key,
    required this.code,
    required this.backgroundColor,
    required this.textColor,
  }) : super(key: key);

  @override
  State<CodeView> createState() => _CodeViewState();
}

class _CodeViewState extends State<CodeView> {
  @override
  Widget build(BuildContext context) {
    return Container(
      clipBehavior: Clip.antiAlias,
      padding: const EdgeInsets.all(10),
      decoration: BoxDecoration(
        color: widget.backgroundColor,
      ),
      child: Stack(
        children: [
          Positioned(
            top: 0,
            right: 0,
            child: IconButton(
              icon: Icon(
                Icons.copy,
                color: widget.textColor,
              ),
              onPressed: () {
                Clipboard.setData(ClipboardData(text: widget.code));
                ScaffoldMessenger.of(context).hideCurrentSnackBar();
                ScaffoldMessenger.of(context).showSnackBar(const SnackBar(
                    behavior: SnackBarBehavior.floating,
                    content: Text("Copied")));
              },
            ),
          ),
          SelectableText(
            widget.code,
            style: TextStyle(color: widget.textColor),
          ),
        ],
      ),
    );
  }
}
